from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XExecutableDialog(XInterface, Protocol):
    def setTitle(self, aTitle: str) -> None: ...
    def execute(self) -> int: ...
